GWT 2.7.0

## com.google.gwt.typedarrays.server
Class Float64ArrayImpl

    java.lang.Object
      com.google.gwt.typedarrays.server.ArrayBufferViewImpl
          com.google.gwt.typedarrays.server.Float64ArrayImpl

All Implemented Interfaces:
  ArrayBufferView, Float64Array

    public final class Float64ArrayImpl

extends ArrayBufferViewImpl
implements Float64Array

Pure Java implementation of `Float64Array`.

Field Summary

Fields inherited from class com.google.gwt.typedarrays.server.ArrayBufferViewImpl
`arrayBuf, byteLength, byteOffset, USE_LITTLE_ENDIAN`

Fields inherited from interface com.google.gwt.typedarrays.shared.Float64Array
`BYTES_PER_ELEMENT`

Constructor Summary
`Float64ArrayImpl(ArrayBuffer buffer, int byteOffset, int length)`

Method Summary
`double` | `get(int index)` Retrieve one element of this view.
`int` | `length()` The length in elements of this view.
`void` | `set(double[] array)` Set multiple elements in this view from an array, storing starting at 0.
`void` | `set(double[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
`void` | `set(Float64Array array)` Set multiple elements in this view from another view, storing starting at 0.
`void` | `set(Float64Array array, int offset)` Set multiple elements in this view from another view, storing starting at the requested offset.
`void` | `set(int index, double value)` Set one element in this view.
`Float64Array` | `subarray(int begin)` Create a new view from the same array, from `offset` to the end of this view.
`Float64Array` | `subarray(int begin, int end)` Create a new view from the same array, from `offset` to (but not including) `end` in this view.

Methods inherited from class com.google.gwt.typedarrays.server.ArrayBufferViewImpl
`buffer, byteLength, byteOffset, checkRange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.typedarrays.shared.ArrayBufferView
`buffer, byteLength, byteOffset`

Constructor Detail

### Float64ArrayImpl

    public Float64ArrayImpl(ArrayBuffer buffer,
                            int byteOffset,
                            int length)

Parameters:
  `buffer` -
  `byteOffset` -
  `length` -

Method Detail

### get

    public double get(int index)

  Description copied from interface: `Float64Array`
  Retrieve one element of this view.

  Specified by:
    `get` in interface `Float64Array`
  Returns:
    the requested element

### length

    public int length()

  Description copied from interface: `Float64Array`
  The length in elements of this view.

  Specified by:
    `length` in interface `Float64Array`
  Returns:
    non-negative length

### set

    public void set(double[] array)

  Description copied from interface: `Float64Array`
  Set multiple elements in this view from an array, storing starting at 0.

  Specified by:
    `set` in interface `Float64Array`

### set

    public void set(double[] array,
                    int offset)

  Description copied from interface: `Float64Array`
  Set multiple elements in this view from an array, storing starting at the requested offset.

  Specified by:
    `set` in interface `Float64Array`

### set

    public void set(Float64Array array)

  Description copied from interface: `Float64Array`
  Set multiple elements in this view from another view, storing starting at 0.

  Specified by:
    `set` in interface `Float64Array`

### set

    public void set(Float64Array array,
                    int offset)

  Description copied from interface: `Float64Array`
  Set multiple elements in this view from another view, storing starting at the requested offset.

  Specified by:
    `set` in interface `Float64Array`

### set

    public void set(int index,
                    double value)

  Description copied from interface: `Float64Array`
  Set one element in this view.

  Specified by:
    `set` in interface `Float64Array`

### subarray

    public Float64Array subarray(int begin)

  Description copied from interface: `Float64Array`
  Create a new view from the same array, from `offset` to the end of this view. These offset is clamped to legal indices into this view, so it is not an error to specify an invalid index.

  Specified by:
    `subarray` in interface `Float64Array`
  Parameters:
    `begin` - offset into this view if non-negative; if negative, an index from the end of this view
  Returns:
    a new `Float64Array` instance

### subarray

    public Float64Array subarray(int begin,
                                 int end)

  Description copied from interface: `Float64Array`
  Create a new view from the same array, from `offset` to (but not including) `end` in this view. These indices are clamped to legal indices into this view, so it is not an error to specify invalid indices.

  Specified by:
    `subarray` in interface `Float64Array`
  Parameters:
    `begin` - offset into this view if non-negative; if negative, an index from the end of this view
    `end` - offset into this view if non-negative; if negative, an index from the end of this view
  Returns:
    a new `Float64Array` instance

GWT 2.7.0